Log4j Version 1.2.7: Interface LoggerRepository

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Interface LoggerRepository

All Known Implementing Classes:
  Hierarchy

public interface LoggerRepository

A `LoggerRepository` is used to create and retrieve `Loggers`. The relation between loggers in a repository depends on the repository but typically loggers are arranged in a named hierarchy.

In addition to the creational methods, a `LoggerRepository` can be queried for existing loggers, can act as a point of registry for events related to loggers.

Since:
  1.2
Author:
  Ceki Gülcü

Method Summary
`void` | `addHierarchyEventListener(HierarchyEventListener listener)` Add a `HierarchyEventListener` event to the repository.
`void` | `emitNoAppenderWarning(Category cat)`
`Logger` | `exists(String name)`
`void` | `fireAddAppenderEvent(Category logger, Appender appender)`
`Enumeration` | `getCurrentCategories()` Deprecated. Please use `getCurrentLoggers()` instead.
`Enumeration` | `getCurrentLoggers()`
`Logger` | `getLogger(String name)`
`Logger` | `getLogger(String name, LoggerFactory factory)`
`Logger` | `getRootLogger()`
`Level` | `getThreshold()` Get the repository-wide threshold.
`boolean` | `isDisabled(int level)` Is the repository disabled for a given level?
`void` | `resetConfiguration()`
`void` | `setThreshold(Level level)` Set the repository-wide threshold.
`void` | `setThreshold(String val)` Another form of `setThreshold(Level)` accepting a string parameter instead of a `Level`.
`void` | `shutdown()`

Method Detail

### addHierarchyEventListener

    public void addHierarchyEventListener(HierarchyEventListener listener)

  Add a `HierarchyEventListener` event to the repository.

### isDisabled

    public boolean isDisabled(int level)

  Is the repository disabled for a given level? The answer depends on the repository threshold and the `level` parameter. See also `setThreshold(org.apache.log4j.Level)` method.

### setThreshold

    public void setThreshold(Level level)

  Set the repository-wide threshold. All logging requests below the threshold are immediately dropped. By default, the threshold is set to `Level.ALL` which has the lowest possible rank.

### setThreshold

    public void setThreshold(String val)

  Another form of `setThreshold(Level)` accepting a string parameter instead of a `Level`.

### emitNoAppenderWarning

    public void emitNoAppenderWarning(Category cat)

### getThreshold

    public Level getThreshold()

  Get the repository-wide threshold. See `setThreshold(Level)` for an explanation.

### getLogger

    public Logger getLogger(String name)

### getLogger

    public Logger getLogger(String name,
                            LoggerFactory factory)

### getRootLogger

    public Logger getRootLogger()

### exists

    public Logger exists(String name)

### shutdown

    public void shutdown()

### getCurrentLoggers

    public Enumeration getCurrentLoggers()

### getCurrentCategories

    public Enumeration getCurrentCategories()

  Deprecated. Please use `getCurrentLoggers()` instead.

### fireAddAppenderEvent

    public void fireAddAppenderEvent(Category logger,
                                     Appender appender)

### resetConfiguration

    public void resetConfiguration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.